Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Typedefs
classext.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_deprecated_classext_struct

## Macros
#define | RUBY_BACKWARD_CLASSEXT_H 1
#define | RCLASS_EXT(c) ((rb_deprecated_classext_t *)RCLASS(c)->ptr)
#define | RCLASS_SUPER(c) (RCLASS(c)->super)

## Typedefs
typedef struct rb_deprecated_classext_struct | rb_deprecated_classext_t

## Macro Definition Documentation

#define RCLASS_EXT | ( |  | c | ) | ((rb_deprecated_classext_t *)RCLASS(c)->ptr)

Definition at line 15 of file classext.h.

Referenced by class_alloc(), obj_free(), obj_memsize_of(), rb_class_foreach_subclass(), rb_class_remove_from_module_subclasses(), rb_class_remove_from_super_subclasses(), rb_class_subclass_add(), rb_define_alloc_func(), rb_get_alloc_func(), rb_method_entry(), rb_method_entry_get_without_cache(), rb_mod_init_copy(), rb_module_add_to_subclasses_list(), and rb_singleton_class_clone_and_attach().

#define RCLASS_SUPER | ( |  | c | ) | (RCLASS(c)->super)

Definition at line 16 of file classext.h.

Referenced by add_activated_refinement(), class_init_copy_check(), class_instance_method_list(), class_search_ancestor(), cvar_front_klass(), get_original_method_entry(), has_extra_methods(), include_modules_at(), make_metaclass(), mnew_from_me(), mod_cvar_of(), original_method_entry(), rb_alias(), rb_autoload_p(), rb_class_initialize(), rb_class_real(), rb_class_superclass(), rb_const_defined_0(), rb_const_get_0(), rb_define_class(), rb_define_class_id_under(), rb_get_alloc_func(), rb_mod_ancestors(), rb_mod_const_of(), rb_mod_include_p(), rb_mod_included_modules(), rb_mod_init_copy(), rb_mod_modfunc(), rb_obj_alloc(), rb_obj_singleton_methods(), rb_prepend_module(), rb_singleton_class_clone_and_attach(), rb_using_refinement(), search_method(), struct_ivar_get(), using_module_recursive(), vm_call0_body(), vm_call_method(), vm_call_super(), vm_search_const_defined_class(), vm_search_normal_superclass(), vm_search_super_method(), and w_extended().

#define RUBY_BACKWARD_CLASSEXT_H 1

Definition at line 8 of file classext.h.

## Typedef Documentation

typedef struct rb_deprecated_classext_struct rb_deprecated_classext_t